'Sept. 24

'Demo program 
'Uses a for-next loop to calculate an ISBN 
'check digit

'Reference
'http://thalia.spec.gmu.edu/~pparis/classes/notes_101/node48.html

'Example: ISBN = 094001633 
'     Weighting Factors   10    9    8    7    6    5    4    3    2
'     ISBN                 0    9    4    0    0    1    6    3    3
'     Values (product)     0 + 81 + 32 +  0 +  0 +  5 + 24 +  9 +  6 = 157

'157/11 = 14 with 3 remainder 
'Check digit: 11 - 3 = 8 
'The final ISBN is 0-940016-33-8. 


Public Class FrmISBN

    '*******************************************
    'clear out answer if input is changed
    Private Sub txtNine_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtNine.TextChanged
        lblCheckDigit.Text = ""
    End Sub

    '*******************************************
    'generate check digit
    Private Sub btnCheckDigit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheckDigit.Click
        Dim ISBN As Integer
        Dim i As Integer
        Dim Sum As Integer

        'get number from textbox, exit if not number
        Try
            ISBN = txtNine.Text
        Catch ex As Exception
            MsgBox("Please enter a number.")
            Exit Sub
        End Try

        'check that length is 9, exit otherwise
        If txtNine.Text.Length <> 9 Then
            MsgBox("Please enter a nine digit number.")
            Exit Sub
        End If

        'loop through positions(weights)
        For i = 2 To 10

        Next

    End Sub
End Class
